use moa_uapi::{
    sched::SchedParam,
    task::{TaskCreateArgs, TaskRegs, TaskStatus},
};

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_TASK_CREATE)]
fn sys_task_create(args: *const TaskCreateArgs) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TASK_CLOSE)]
fn sys_task_close(task: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TASK_START)]
fn sys_task_start(task: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TASK_SET_REGS)]
fn sys_task_set_regs(task: u32, mask: usize, regs: *const TaskRegs) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TASK_GET_REGS)]
fn sys_task_get_regs(task: u32, out: *mut TaskRegs) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TASK_GET_STATUS)]
fn sys_task_get_status(task: u32, out: *mut TaskStatus) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TASK_SET_POLICY)]
fn sys_task_set_policy(task: u32, param: *const SchedParam) -> isize {
    ERR_NOSYS
}
